Bug 104018 - [PATCH] redhat-rhn-up2date.desktop is not automatically updated
[PATCH] redhat-rhn-up2date.desktop is not automatically updated
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 103999
  Show dependency treegraph
 
Reported: 2003-09-08 20:37 EDT by Miloslav Trmac
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.3.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-23 10:45:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to use intltool (39.15 KB, patch)
2003-09-10 21:05 EDT, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2003-09-08 20:37:36 EDT
Description of problem:
There is no mechanism for automatically adding/updating
translations to the .desktop file.

Version-Release number of selected component (if applicable):
up2date-3.9.24
Comment 1 Miloslav Trmac 2003-09-10 21:05:50 EDT
Created attachment 94403 [details]
Patch to use intltool

Attached patch changes the build process to using intltool for message
extraction (including the .desktop.in file and the .glade files) and
automatically building the .desktop file using translations in the .po files.

The intltool package should be added as a build requirement.

po/advisorywin.gladestrings does not correspond to any glade file,
apparently the window is contained in gui.glade.

Also adds the equivalent of "make -C po update-po" to "make -C po all"
so that translations at elvis can be automatically updated without manual
running update-po.

Unused .desktop files (redhat-rhn-up2date-config.desktop, up2date*.desktop)
should be removed or generated using intltool like redhat-rhn-up2date.desktop
is.
Comment 2 Adrian Likins 2003-09-15 17:09:09 EDT
cool, thanks. This should go into at least cambridge...
Comment 3 Adrian Likins 2004-01-20 17:23:26 EST
patch applied for fedora/rawhide
Comment 4 Miloslav Trmac 2004-01-23 10:45:45 EST
Thanks, looks fine; bug 114083 reports a missing buildrequires.

When you have some spare time, please grab updated translations from
elvis CVS, run (make -C po update-po) and commit the results back.

Note You need to log in before you can comment on or make changes to this bug.